-module(sprinkle).
-compile([no_auto_import, nowarn_unused_vars, nowarn_unused_function, nowarn_nomatch]).

-export([format/2]).

-spec format(binary(), list({binary(), binary()})) -> binary().
format(Format_string, Data) ->
    gleam@list:fold(
        Data,
        Format_string,
        fun(Acc, Cur) ->
            gleam@string:replace(
                Acc,
                <<<<"{"/utf8, (erlang:element(1, Cur))/binary>>/binary,
                    "}"/utf8>>,
                erlang:element(2, Cur)
            )
        end
    ).
